gtk.InputDialog
Prev | The gtk Class Reference | Next

## gtk.InputDialog

gtk.InputDialog — a dialog for configuring devices for the XInput extension.

## Synopsis

    class gtk.InputDialog(gtk.Dialog):
        gtk.InputDialog()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.Window
                +-- gtk.Dialog
                  +-- gtk.InputDialog

## Implemented Interfaces

`gtk.InputDialog` implements `gtk.Buildable`

## gtk.InputDialog Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Window Properties

gtk.Dialog Properties

## gtk.InputDialog Style Properties

gtk.Widget Style Properties

gtk.Dialog Style Properties

## gtk.InputDialog Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Window Signal Prototypes

gtk.Dialog Signal Prototypes

"disable-device" | `def callback(`inputdialog`, `deviceid`, `user_param1`, `...`)`
"enable-device" | `def callback(`inputdialog`, `deviceid`, `user_param1`, `...`)`

## Description

### Note

This widget is considered too specialized or little-used for PyGTK, and will in the future be moved to some other package. If your application needs this widget, feel free to use it, as the widget does work and is useful in some applications; it's just not of general interest. However, it will eventually move out of the PyGTK distribution.

`gtk.InputDialog` displays a dialog which allows the user to configure XInput extension devices. For each device, they can control the mode of the device (disabled, screen-relative, or window-relative), the mapping of axes to coordinates, and the mapping of the devices macro keys to key press events. `gtk.InputDialog` contains two buttons to which the application can connect; one for closing the dialog, and one for saving the changes. No actions are bound to these by default. The changes that the user makes take effect immediately.

## Constructor

        gtk.InputDialog()

Returns : | a new `gtk.InputDialog` widget

Creates a new `gtk.InputDialog`.

## Signals

### The "disable-device" gtk.InputDialog Signal

        def callback(inputdialog, deviceid, user_param1, ...)

`inputdialog` : | the inputdialog that received the signal
`deviceid` : | the ID of the newly disabled device.
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "disable-device" signal is emitted when the user changes the mode of a device from a `gtk.gdk.MODE_SCREEN` or `gtk.gdk.MODE_WINDOW` to `gtk.gdk.MODE_ENABLED`.

### The "enable-device" gtk.InputDialog Signal

        def callback(inputdialog, deviceid, user_param1, ...)

`inputdialog` : | the inputdialog that received the signal
`deviceid` : | the ID of the newly disabled device.
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "enable-device" signal is emitted when the user changes the mode of a device from `gtk.gdk.MODE_DISABLED` to a `gtk.gdk.MODE_SCREEN` or `gtk.gdk.MODE_WINDOW`.

Prev | Up | Next
gtk.IMMulticontext | Home | gtk.Invisible